PaidGoods
API referenceCustomers

List customers, with their store balance

GET
/v1/stores/{storeId}/customers

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

q?string
Lengthlength <= 200
sort?string
Default"recent"

Value in

  • "recent"
  • "spend"
  • "orders"
account?string

Value in

  • "account"
  • "guest"
newsletter?string

Value in

  • "subscribed"
  • "not_subscribed"
buyers?string

Value in

  • "buyers"
  • "no_orders"
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default25

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/customers"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "string",      "name": "string",      "country": "string",      "discordUsername": "string",      "hasAccount": true,      "totpEnabled": true,      "marketingOptIn": true,      "ordersCount": -9007199254740991,      "totalSpentMinor": -9007199254740991,      "spentCurrency": "string",      "firstOrderAt": "string",      "lastOrderAt": "string",      "createdAt": "string",      "balanceMinor": -9007199254740991,      "balanceCurrency": "string",      "balances": [        {          "currency": "string",          "balanceMinor": -9007199254740991        }      ],      "referrer": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}